<?php
	//Gestion des blocs
	function creat_bloc($content,$class){	
		$bloc = '
			<div class="'.$class.'">
				'.$content.'
			</div>
		';
		return $bloc;
	}
	
	function Slider(){
		$bloc_promo = '
			<div class="slider">
				<div class="container">
					<div class="media">
						<img alt="'.COPYRIGHT.'" src="'.URL_IMAGES_SLIDER.'visuel.jpg"/>
					</div>
					
					<h4 class="noir">Dr B&eacute;n&eacute;dicte Haguenauer</h4>
					<b class="rose">M&eacute;decin nutritionniste &agrave; Grenoble</b>
					<p>
						Le nutritionniste est un m&eacute;decin comp&eacute;tent dans la prise
						en charge des maladies li&eacute;es &agrave; la Nutrition; seul le DESC
						de Nutrition permet d\'obtenir le titre de m&eacute;decin comp&eacute;tent
						ou dipl&ocirc;m&eacute; en Nutrition (m&eacute;decin nutritionniste).
					</p>
					<a class="bouton" href="'.URL_PAGE2.'" title="'.TTL_PAGE2.'">
						<span>Voir les &eacute;tapes de consultations</span>
					</a>
					<div class="clearit"></div>
				</div>
			</div>
		';
		return $bloc_promo;
	}
	
	//Gestion des blocs
	function Bulle($content){	
		$bloc = '
			<div class="bulle">
				'.$content.'
				<div class="clearit"></div>
			</div>
			<div class="foot_bulle"></div>
		';
		return $bloc;
	}
	
	
	/*
	function Deco_ariane(){
		return '<div class="deco_ariane"></div>';
	}
	*/
	function AndMore(){
		$bloc = '
			<img class="andmore" alt="Plus sur..." src="'.URL_IMAGES.'andmore.png"/>
		';
		return $bloc;
	}
	
	function Fiche_Produit($product){
		$bloc ='
			<div class="fiche_produit">
				<h1>'.$product->Product_Name().'</h1>
				<p>'.$product->Product_Baseline().'</p>
				<div class="media">
					<img alt="'.$product->Product_Name().'" src="'.URL_IMAGES.'00bkg-media.jpg"/>
				</div>
				<div class="decription_produit">
					'.$product->Product_Description().'
				</div>
				<div class="clearit"></div>
				<table>
					<thead>
						<tr>
							<td>Entete 1</td>
							<td>Entete 2</td>
							<td>Entete 3</td>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>Element1</td>
							<td>Element2</td>
							<td>Element3</td>
						</tr>
					</tbody>
					<tfoot>
						<tr>
							<td colspan=3>info...</td>
						</tr>
					</tfoot>
				</table>
				<div class="clearit"></div>
				<div class="bloc_l"></div>
				<div class="bloc_r"></div>
				<div class="bloc_l"></div>
				<div class="bloc_r"></div>		
			</div>
		';
		return $bloc;
	}//Fiche_Produit()
	
	function TEMPLATE_active($rub,$content){
		//$this->Std_BODY ='';
		if(DEBUG) echo "DEBUG - TEMPLATE_active()<br/>";
		
		$bloc =	creat_bloc(HeaderPage($rub),'header');
		//Espace promo si on affiche l'accueil
		if($rub == "accueil"){
			$bloc .= Slider();
		}else{
			$bloc .= DisplayAriane($rub);
			//$bloc .= Deco_ariane();
		}
		//else on affiche le fil d'ariane
		
		$bloc .=
				CorpsDePage($content).
				PiedDePage()
		;			
		return $bloc;
	}
		
?>